#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['hydromt_wflow', 'hydromt_wflow.workflows']

package_data = \
{'': ['*'],
 'hydromt_wflow': ['data/*',
                   'data\\lulc/*',
                   'data\\rivwth/*',
                   'data\\wflow/*',
                   'data\\wflow_sediment/*']}

install_requires = \
['hydromt >=0.4.0',
 'dask',
 'geopandas >=0.8',
 'netcdf4',
 'numpy',
 'pandas',
 'pyflwdir >=0.4.7',
 'pygeos',
 'rasterio',
 'scipy',
 'toml',
 'xarray']

extras_require = \
{'doc': ['sphinx', 'sphinx_rtd_theme', 'black'],
 'test': ['testpath', 'responses', 'pytest>=2.7.3', 'pytest-cov']}

entry_points = \
{'hydromt.models': ['wflow = hydromt_wflow.wflow:WflowModel',
                    'wflow_sediment = '
                    'hydromt_wflow.wflow_sediment:WflowSedimentModel']}

setup(name='hydromt_wflow',
      version='0.1.2',
      description='hydroMT plugin for wflow models.',
      author=None,
      author_email='Dirk Eilander <dirk.eilander@deltares.nl>, Hélène Boisgontier <helene.boisgontier@deltares.nl>',
      url=None,
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.8',
     )
